commit:     bb1205d8e53cce7b9f0f0e666de2d6bdc066735d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  1 10:00:32 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Nov  1 10:08:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb1205d8

dev-python/django-cacheops: add 6.0, enable py3.10

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/django-cacheops/Manifest                |  1 +
 .../django-cacheops/django-cacheops-6.0.ebuild     | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/django-cacheops/Manifest 
b/dev-python/django-cacheops/Manifest
index 23223cae2c2..8ff19a8f58d 100644
--- a/dev-python/django-cacheops/Manifest
+++ b/dev-python/django-cacheops/Manifest
@@ -1 +1,2 @@
 DIST django-cacheops-5.1.tar.gz 67776 BLAKE2B 
d89ac7aeccecdb69e02e03a46c9d4250439319a840f4902a51909c762cdcb8b422c2b2be2921ac256cf4a3d3248782ece0378c19b99109038b2f4e2262c57bcd
 SHA512 
c7c5b284af4a7ec4faf88613de8eaf2bee298208ef13efbb4bb337c1e71817f36afe51ae4cbfa566a999e2dcf1361f84684189d9748a08de32675820f8b9c91b
+DIST django-cacheops-6.0.tar.gz 70280 BLAKE2B 
9efe5a10d86f9ad25ad67701005de962185d2c491305bb56920203718c2d5fd0b28d43f2463e28c7c00c7592a78a3adea66090b398a205d5e361dfbcf90ae887
 SHA512 
54ecec62ff255a867b382bb1157117c8d14d7185891aacaae33ea11283beeae2fae60659621699a52f86d536b5a582d31f24f3b00f16c2e81c1a78ea4079504e

diff --git a/dev-python/django-cacheops/django-cacheops-6.0.ebuild 
b/dev-python/django-cacheops/django-cacheops-6.0.ebuild
new file mode 100644
index 00000000000..ecfd5010beb
--- /dev/null
+++ b/dev-python/django-cacheops/django-cacheops-6.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="ORM cache with automatic granular event-driven invalidation for 
Django"
+HOMEPAGE="https://github.com/Suor/django-cacheops";
+SRC_URI="mirror://pypi/${PN:0:1}"/${PN}/${P}.tar.gz
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-1.8[${PYTHON_USEDEP}]
+       >=dev-python/redis-py-2.9.1[${PYTHON_USEDEP}]
+       >=dev-python/funcy-1.8[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-db/redis
+               dev-python/dill[${PYTHON_USEDEP}]
+       )
+"
+
+src_prepare() {
+       # Remove test dependent on unpackaged before_after
+       sed -e 's/test_lock/_&/' -i tests/test_extras.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x DJANGO_SETTINGS_MODULE=tests.settings
+       django-admin test -v 2 || die
+}
+
+src_test() {
+       local redis_pid="${T}"/redis.pid
+       local redis_port=6379
+
+       einfo "Spawning Redis"
+       einfo "NOTE: Port ${redis_port} must be free"
+       "${EPREFIX}"/usr/sbin/redis-server - <<-EOF || die
+               daemonize yes
+               pidfile ${redis_pid}
+               port ${redis_port}
+               bind 127.0.0.1
+       EOF
+
+       # Run the tests
+       distutils-r1_src_test
+
+       # Clean up afterwards
+       kill "$(<"${redis_pid}")" || die
+}

Reply via email to